// c2012_DCL_GO.DCL

//
// CADALYST Systems Benchmark 2012 v5.4
// (c)Copyright 1996-2011, Art Liddle and CADALYST Magazine
//
// NOTE:
// AutoCAD 2012 update: Disabled Viewport Controls
//                      Adjusted 3D/2D tests to balance times
//                      Added Battery Rundown Test (99 Loops)
//                      Renamed files  
//
// 6-01-2010 (C2011, v5.3b): disabled navigation cube; renamed files for ACAD 2011; 
// changed benchmark name to c2010
// New interface for compare option--back end for C2010 test
// 8-01-09: Used Autodesk's Gstest.arx files for updated 3D tests.
// 7-01-08: Revised 3D tests: removed Hidden and Gouraud; added Conceptual and Realistic
//                            adjusted number of repeats; adjusted base times


C2012_DCL_GO : dialog {
  label = "  C2012  Benchmark  v5.4";  // modify to match other files
initial_focus = "ok";

: text{
  label = "(c) Copyright 1996-2011,  Art Liddle and CADALYST Magazine";
}

 spacer;
// Logo image
: image {
    fixed_width = true;
     key         = "c2012_logo";
     color       =  0;    // was 7
     height      = 7;     // was 7--5.75 (for Vista)
     width       = 54;    // was 54--40.5 (for Vista)
}

spacer;

// row of edit boxes for config data
: boxed_column {
label = "Record Current System Configuration ";
//    fixed_width = true;

: edit_box { label = "Computer Brand: ";
    key = "comp_brnd";
    mnemonic = "";
  edit_width = 45;
  }
: edit_box { label = "CPU Type/speed: ";
    key = "cpu_type";
    mnemonic = "";
  edit_width = 45;
  }
: edit_box { label = "System RAM: ";
    key = "sys_ram";
    mnemonic = "";
    edit_width = 45;
  }
: edit_box { label = "Graphics Card: ";
    key = "graph_crd";
    mnemonic = "";
    edit_width = 45;
  }
: edit_box { label = "Graphics Card Driver: ";
    key = "graph_drv";
    mnemonic = "";
    edit_width = 45;
  }
: edit_box { label = "Add Comment: ";
    key = "note_txt";
    mnemonic = "";
    edit_width = 45;
  }

 spacer;

}// end boxed_column

spacer;

: text{
  label = "C2012 automatically determines and stores the following: ";
}

: text{
  label = "ACAD Ver,  Graphics Window Size, and  Current Date and Time.";
}

spacer;

// row for test type
: boxed_row {
  label = "Test Functions:";
// fixed_width = true;
 : radio_row {
        : radio_button {
          key = "test_3d2d";
          label = "3D/2D/Other Functions";
          mnemonic = "";
        }
        : radio_button {
          key = "test_2d";
          label = "2D/Other Functions";
          mnemonic = "";
        }
        : radio_button {
          key = "test_3d";
          label = "3D Functions Only";
          mnemonic = "";
        }
      }//end radio row
  }// end boxed_row


  spacer;

// column for loops
: boxed_column {
  label = "Number of Test Loops ";

//fixed_width = true;
  : row {
        : radio_button {
          key = "one_loop";
          label = "One loop";
          mnemonic = "";
        }
        : radio_button {
          key = "three_loops";
          label = "Three loops";
          mnemonic = "";
        }
        : radio_button {
          key = "battery_loops";
          label = "Battery Rundown Test (99 loops)";
          mnemonic = "";
        }
    }//end radio row
: text{
  label = "Note: Multiple test loops are not necessary for accurate results.";
}
//spacer;

}// end boxed_column
spacer;

/////////////////////////////////////////////////////////////////
// column for Compare Option
: boxed_column {
  label = "Compare Option ";

//fixed_width = true;
  : row {
        : radio_button {
          key = "comp_on";
          label = "Enable Compare Option";
          mnemonic = "";
        }
        : radio_button {
          key = "comp_off";
          label = "Disable Compare Option";
          mnemonic = "";
        }
    }//end radio row
: text{
  label = "Note: See Readme_C2012.txt file for more information.";
}

//spacer;
}// end boxed_column
/////////////////////////////////////////////////////////////////

spacer;

 ok_cancel;
spacer;
}//dialog C2012
